xdg-decoration-unstable-v1-client-protocol.h File Reference
`#include <stdint.h>`
`#include <stddef.h>`
`#include "wayland-client.h"`
Include dependency graph for xdg-decoration-unstable-v1-client-protocol.h:

Go to the source code of this file.

## Data Structures

struct | zxdg_toplevel_decoration_v1_listener

## Macros

#define | ZXDG_DECORATION_MANAGER_V1_DESTROY 0
#define | ZXDG_DECORATION_MANAGER_V1_GET_TOPLEVEL_DECORATION 1
#define | ZXDG_DECORATION_MANAGER_V1_DESTROY_SINCE_VERSION 1
#define | ZXDG_DECORATION_MANAGER_V1_GET_TOPLEVEL_DECORATION_SINCE_VERSION 1
#define | ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ENUM
#define | ZXDG_TOPLEVEL_DECORATION_V1_MODE_ENUM
#define | ZXDG_TOPLEVEL_DECORATION_V1_DESTROY 0
#define | ZXDG_TOPLEVEL_DECORATION_V1_SET_MODE 1
#define | ZXDG_TOPLEVEL_DECORATION_V1_UNSET_MODE 2
#define | ZXDG_TOPLEVEL_DECORATION_V1_CONFIGURE_SINCE_VERSION 1
#define | ZXDG_TOPLEVEL_DECORATION_V1_DESTROY_SINCE_VERSION 1
#define | ZXDG_TOPLEVEL_DECORATION_V1_SET_MODE_SINCE_VERSION 1
#define | ZXDG_TOPLEVEL_DECORATION_V1_UNSET_MODE_SINCE_VERSION 1

## Enumerations

enum | zxdg_toplevel_decoration_v1_error { ZXDG_TOPLEVEL_DECORATION_V1_ERROR_UNCONFIGURED_BUFFER = 0, ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ALREADY_CONSTRUCTED = 1, ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ORPHANED = 2 }
enum | zxdg_toplevel_decoration_v1_mode { ZXDG_TOPLEVEL_DECORATION_V1_MODE_CLIENT_SIDE = 1, ZXDG_TOPLEVEL_DECORATION_V1_MODE_SERVER_SIDE = 2 }

## Functions

static void | zxdg_decoration_manager_v1_set_user_data (struct zxdg_decoration_manager_v1 *zxdg_decoration_manager_v1, void *user_data)
static void * | zxdg_decoration_manager_v1_get_user_data (struct zxdg_decoration_manager_v1 *zxdg_decoration_manager_v1)
static uint32_t | zxdg_decoration_manager_v1_get_version (struct zxdg_decoration_manager_v1 *zxdg_decoration_manager_v1)
static void | zxdg_decoration_manager_v1_destroy (struct zxdg_decoration_manager_v1 *zxdg_decoration_manager_v1)
static struct zxdg_toplevel_decoration_v1 * | zxdg_decoration_manager_v1_get_toplevel_decoration (struct zxdg_decoration_manager_v1 *zxdg_decoration_manager_v1, struct xdg_toplevel *toplevel)
static int | zxdg_toplevel_decoration_v1_add_listener (struct zxdg_toplevel_decoration_v1 *zxdg_toplevel_decoration_v1, const struct zxdg_toplevel_decoration_v1_listener *listener, void *data)
static void | zxdg_toplevel_decoration_v1_set_user_data (struct zxdg_toplevel_decoration_v1 *zxdg_toplevel_decoration_v1, void *user_data)
static void * | zxdg_toplevel_decoration_v1_get_user_data (struct zxdg_toplevel_decoration_v1 *zxdg_toplevel_decoration_v1)
static uint32_t | zxdg_toplevel_decoration_v1_get_version (struct zxdg_toplevel_decoration_v1 *zxdg_toplevel_decoration_v1)
static void | zxdg_toplevel_decoration_v1_destroy (struct zxdg_toplevel_decoration_v1 *zxdg_toplevel_decoration_v1)
static void | zxdg_toplevel_decoration_v1_set_mode (struct zxdg_toplevel_decoration_v1 *zxdg_toplevel_decoration_v1, uint32_t mode)
static void | zxdg_toplevel_decoration_v1_unset_mode (struct zxdg_toplevel_decoration_v1 *zxdg_toplevel_decoration_v1)

## Variables

const struct wl_interface | zxdg_decoration_manager_v1_interface
const struct wl_interface | zxdg_toplevel_decoration_v1_interface

## Macro Definition Documentation

## ZXDG_DECORATION_MANAGER_V1_DESTROY

#define ZXDG_DECORATION_MANAGER_V1_DESTROY 0

Definition at line 129 of file xdg-decoration-unstable-v1-client-protocol.h.

## ZXDG_DECORATION_MANAGER_V1_GET_TOPLEVEL_DECORATION

#define ZXDG_DECORATION_MANAGER_V1_GET_TOPLEVEL_DECORATION 1

Definition at line 130 of file xdg-decoration-unstable-v1-client-protocol.h.

## ZXDG_TOPLEVEL_DECORATION_V1_DESTROY

#define ZXDG_TOPLEVEL_DECORATION_V1_DESTROY 0

Definition at line 271 of file xdg-decoration-unstable-v1-client-protocol.h.

## ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ENUM

#define ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ENUM

Definition at line 200 of file xdg-decoration-unstable-v1-client-protocol.h.

## ZXDG_TOPLEVEL_DECORATION_V1_MODE_ENUM

#define ZXDG_TOPLEVEL_DECORATION_V1_MODE_ENUM

Definition at line 218 of file xdg-decoration-unstable-v1-client-protocol.h.

## ZXDG_TOPLEVEL_DECORATION_V1_SET_MODE

#define ZXDG_TOPLEVEL_DECORATION_V1_SET_MODE 1

Definition at line 272 of file xdg-decoration-unstable-v1-client-protocol.h.

## ZXDG_TOPLEVEL_DECORATION_V1_UNSET_MODE

#define ZXDG_TOPLEVEL_DECORATION_V1_UNSET_MODE 2

Definition at line 273 of file xdg-decoration-unstable-v1-client-protocol.h.

## Enumeration Type Documentation

## zxdg_toplevel_decoration_v1_error

enum zxdg_toplevel_decoration_v1_error

Enumerator
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_UNCONFIGURED_BUFFER | xdg_toplevel has a buffer attached before configure
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ALREADY_CONSTRUCTED | xdg_toplevel already has a decoration object
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ORPHANED | xdg_toplevel destroyed before the decoration object

Definition at line 201 of file xdg-decoration-unstable-v1-client-protocol.h.

{
/**
* xdg_toplevel has a buffer attached before configure
*/
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_UNCONFIGURED_BUFFER = 0,
/**
* xdg_toplevel already has a decoration object
*/
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ALREADY_CONSTRUCTED = 1,
/**
* xdg_toplevel destroyed before the decoration object
*/
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ORPHANED = 2,
};

## Function Documentation

## zxdg_decoration_manager_v1_get_version()

static uint32_t zxdg_decoration_manager_v1_get_version | ( | struct zxdg_decoration_manager_v1 * | zxdg_decoration_manager_v1 | ) |

inline static

Definition at line 157 of file xdg-decoration-unstable-v1-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) zxdg_decoration_manager_v1);
}

## zxdg_toplevel_decoration_v1_get_version()

static uint32_t zxdg_toplevel_decoration_v1_get_version | ( | struct zxdg_toplevel_decoration_v1 * | zxdg_toplevel_decoration_v1 | ) |

inline static

Definition at line 308 of file xdg-decoration-unstable-v1-client-protocol.h.

{
return wl_proxy_get_version((struct wl_proxy *) zxdg_toplevel_decoration_v1);
}

## Variable Documentation

## zxdg_decoration_manager_v1_interface

const struct wl_interface zxdg_decoration_manager_v1_interface

Definition at line 44 of file xdg-decoration-unstable-v1-protocol.c.

## zxdg_toplevel_decoration_v1_interface

WL_EXPORT const struct wl_interface zxdg_toplevel_decoration_v1_interface

Initial value:
= {
"zxdg_toplevel_decoration_v1", 1,
3, zxdg_toplevel_decoration_v1_requests,
1, zxdg_toplevel_decoration_v1_events,
}

Definition at line 60 of file xdg-decoration-unstable-v1-protocol.c.

Referenced by zxdg_decoration_manager_v1_get_toplevel_decoration().

zxdg_toplevel_decoration_v1_events
static const struct wl_message zxdg_toplevel_decoration_v1_events[]
Definition: xdg-decoration-unstable-v1-protocol.c:56
zxdg_toplevel_decoration_v1_requests
static const struct wl_message zxdg_toplevel_decoration_v1_requests[]
Definition: xdg-decoration-unstable-v1-protocol.c:50
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ORPHANED
@ ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ORPHANED
Definition: xdg-decoration-unstable-v1-client-protocol.h:213
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ALREADY_CONSTRUCTED
@ ZXDG_TOPLEVEL_DECORATION_V1_ERROR_ALREADY_CONSTRUCTED
Definition: xdg-decoration-unstable-v1-client-protocol.h:209
ZXDG_TOPLEVEL_DECORATION_V1_ERROR_UNCONFIGURED_BUFFER
@ ZXDG_TOPLEVEL_DECORATION_V1_ERROR_UNCONFIGURED_BUFFER
Definition: xdg-decoration-unstable-v1-client-protocol.h:205